Skip to navigation

Get Thread

CLI:

postnuvia inboxes threads get --inbox-id <inbox_id> --thread-id <thread_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
thread_idstringRequired
ID of thread.

Query parameters

limitintegerOptional
Maximum number of messages to return. Cannot exceed 100.
page_tokenstringOptional
Token returned by the previous response for retrieving the next, older page.

Response

This endpoint returns an object.
inbox_idstring
The ID of the inbox.
thread_idstring
ID of thread.
labelslist of strings
Labels of thread.
timestampdatetime
Timestamp of last sent or received message.
senderslist of strings

Senders in thread. In format username@domain.com or Display Name <username@domain.com>.

recipientslist of strings

Recipients in thread. In format username@domain.com or Display Name <username@domain.com>.

last_message_idstring
ID of last message in thread.
message_countinteger
Number of messages in thread.
sizeinteger
Size of thread in bytes.
updated_atdatetime
Time at which thread was last updated.
created_atdatetime
Time at which thread was created.
countinteger
Number of messages in this response page.
messageslist of objects

Messages in this page, ordered by timestamp ascending. The first page contains the newest messages; follow next_page_token to retrieve older pages.

received_timestampdatetimeOptional
Timestamp of last received message.
sent_timestampdatetimeOptional
Timestamp of last sent message.
subjectstringOptional
Subject of thread.
previewstringOptional
Text preview of last message in thread.
attachmentslist of objectsOptional
Attachments in thread.
limitintegerOptional
Maximum number of messages requested for this page.
next_page_tokenstringOptional
Token for the next, older page of messages. Omitted when this page completes the thread.

Errors

404
Not Found Error